### Function

# GLib HRFunc

#### Declaration

    gboolean
    (* GHRFunc) (
      gpointer key,
      gpointer value,
      gpointer user_data
    )

#### Description

Specifies the type of the function passed to g_hash_table_foreach_remove(). It is called with each key/value pair, together with the `user_data` parameter passed to g_hash_table_foreach_remove(). It should return `TRUE` if the key/value pair should be removed from the `GHashTable`.

#### Parameters

`key`

  Type: `gpointer`

  A key.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`value`

  Type: `gpointer`

  The value associated with the key.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User data passed to g_hash_table_remove().

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the key/value pair should be removed from the `GHashTable`.